# Uses of Class
org.apache.zookeeper.common.X509Exception.SSLContextException

Packages that use X509Exception.SSLContextException
Package
Description
org.apache.zookeeper.client
org.apache.zookeeper.common

## Uses of X509Exception.SSLContextException in org.apache.zookeeper.client

Methods in org.apache.zookeeper.client that throw X509Exception.SSLContextException
Modifier and Type
Method
Description
`static void`
FourLetterWordMain.`main(String[] args)`
`static String`
FourLetterWordMain.`send4LetterWord(String host, int port, String cmd)`
Send the 4letterword
`static String`
FourLetterWordMain.`send4LetterWord(String host, int port, String cmd, boolean secure)`
Send the 4letterword
`static String`
FourLetterWordMain.`send4LetterWord(String host, int port, String cmd, boolean secure, int timeout)`
Send the 4letterword
`static String`
FourLetterWordMain.`send4LetterWord(String host, int port, String cmd, boolean secure, int timeout, SSLContext sslContext)`
Send the 4letterword
`static String`
FourLetterWordMain.`send4LetterWord(String host, int port, String cmd, ZKClientConfig clientConfig, int timeout)`
Send the 4letterword

## Uses of X509Exception.SSLContextException in org.apache.zookeeper.common

Methods in org.apache.zookeeper.common that throw X509Exception.SSLContextException
Modifier and Type
Method
Description
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForServer(ZKConfig config)`
`SSLContext`
X509Util.`createSSLContext(ZKConfig config)`
`SSLContextAndOptions`
X509Util.`createSSLContextAndOptions(ZKConfig config)`
`SSLContextAndOptions`
X509Util.`createSSLContextAndOptionsFromConfig(ZKConfig config)`
`SSLContext`
X509Util.`getDefaultSSLContext()`
`SSLContextAndOptions`
X509Util.`getDefaultSSLContextAndOptions()`